/*
bot's main configuration and middleware setup.
*/

import { Bot } from "grammy";
import { BotContext } from "./mod.ts";
import { BOT_TOKEN } from "./config/mod.ts";
import { setupCallbackQueries } from "./callbackQueries/mod.ts";
import { setupCommands } from "./commands/mod.ts";
import { setupConversations } from "./conversations/mod.ts";
import { setupSession } from "./session/mod.ts";


export const bot = new Bot<BotContext>(BOT_TOKEN);
setupSession(bot);
setupConversations(bot);
setupCommands(bot);
setupCallbackQueries(bot);

