import { BotContext } from "../mod.ts";
import { Conversation } from "grammy_conversations";
import { GROUP_ID } from "../config/mod.ts";
import { getPostApprovalKeyboard } from "../keyboards/vote.ts";

// Handler for the post conversation
export const post = async (
  conversation: Conversation<BotContext>,
  ctx: BotContext,
) => {
  // Start the conversation
  await ctx.reply("Please send the content you'd like to post.");

  // Wait for a message response
  const postContext = await conversation.wait();
  await postContext.copyMessage(GROUP_ID, {
    reply_markup: getPostApprovalKeyboard(ctx.session.sessionId),
  });
};
